@echo off
REM                       *** IconDOS - DEMO MENU ***
REM
REM This batch file illustrates how easy it is to set up a single batch file
REM to handle any number of IconDOS menu icons.  Each icon in the demo
REM example menu (DEMO.MNU) has a command string which calls this batch file
REM (RUN.BAT) and passes a unique parameter which identifies the selected
REM icon.  The 'goto %1' below transfers batch file processing to a location
REM which has been labeled to match the passed parameter (%1 in batch speak)
REM in order to execute the proper DOS command set for the selected icon.

goto %1

:123
REM To actually execute Lotus from this icon, replace the 'echo' line below
REM with the commands to change to your Lotus directory and execute 123.
REM These commands should look something like:
REM       CD\LOTUS
REM       123
REM The same general method can be used to set up a command set for any of
REM the labels/parameters listed below.
echo DEMO MENU - You selected Lotus 1-2-3
goto done

:DB4
echo DEMO MENU - You selected dBase IV
goto done

:WS
echo DEMO MENU - You selected WordStar
goto done

:WP
echo DEMO MENU - You selected WordPerfect
goto done

:QUICKEN
echo DEMO MENU - You selected Quicken
goto done

:MOUSE
echo DEMO MENU - You selected the Logitech Mouse Driver
goto done

:COREL
echo DEMO MENU - You selected Corel Draw
goto done

:CALC
echo DEMO MENU - You selected the Calculator
goto done

:WINDO
echo DEMO MENU - You selected MicroSoft Windows
goto done

:PAINT
echo DEMO MENU - You selected Paint
goto done

:BJ
echo DEMO MENU - You selected Black Jack
goto done

:FLY
echo DEMO MENU - You selected Flight Simulator
goto done

REM *** Below are the options for the submenu, SUBDEMO.MNU ***

:NETWK
echo DEMO SUB-MENU - You selected Network
goto done

:NOTE
echo DEMO SUB-MENU - You selected NotePad
goto done

:CD
echo DEMO SUB-MENU - You selected CD-ROM
goto done

:done
REM This is the clean up area which contains the commands needed to return
REM control to IconDOS after running a command set.  For an actual menu, the
REM 'echo' line below should be replaced with something like:
REM     C:
REM     CD\MENU
REM Alternately, control can be returned to IconDOS by specifying the full
REM drive and directory path location for IconDOS and menu files as follows:
REM     C:\MENU\ICONDOS C:\MENU\DEMO
echo If this had been an actual menu, your software would be running now.
ICONDOS DEMO
